Subject: [I18nrp] FWD: Re: [Idna-update] [I18n-discuss] draft-faltstrom-unicode11, i18n "directorate", and related issues

From: John C Klensin <[email-masked]>
Date: Tue, 04 Dec 2018 16:56:31 -0500

Hi.

Since this list --the one set up for the BOF and trying to
figure out how to make progress on i18n issues-- is almost
certainly the one to which Ted's note should have been copied, I
am forwarding it for information and without (at least at this
time) further comment.

As the last part of the note below will make obvious (I was
planning on noting it to this list separately) I decided to
summarize what I believe the discussion was about to the
IDNA-update, EAI, PRECIS, and IAB i18n-discuss lists to lower
the odds that someone who should be participating in the
discussion is accidentally left out of the loop.   

best,
    john

---------- Forwarded Message ----------
Date: Tuesday, December 4, 2018 13:04 -0800
From: Ted Hardie <[email-masked]>
To: John C Klensin <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked],
[email-masked]
Subject: Re: [Idna-update] [I18n-discuss]
draft-faltstrom-unicode11, i18n "directorate", and related issues

John,

This is to advise you that I have notified the IESG that I
strongly disagree with this conclusion on the scope of an i18n
directorate; I heard calls for a directorate, not for a body
with different characteristics sharing the name.  I have also
notified them that I object to the formation of a body with a
different remit to the usual "advise the ADs" unless a community
discussion, charter, and discussion of how membership is selected
takes place.

We charter directorates now as advisory bodies to the ADs, and
the ADs bear the responsibility for the related decisions
(taking or not taking the advice as they see fit).  Since the
ADs are selected by the NomCom, how they derive that authority
and its limits are well known.  What you describe below departs
from that, and unless it is made clear what authority is being
granted and how the community is being consulted, I think it is
outside of our process.

Since this amounts to the early stage of an appeal, I have
recused myself from further discussion within the IESG on this
topic.

On the more technical topic of the appropriate status (Standards
Track or Informational) for this document, I will follow up as
you suggest.

Ted

On Tue, Dec 4, 2018 at 12:19 PM John C Klensin
<[email-masked]> wrote:

> 
> Those who attended or watched the IETF 102 BOF in July will
> probably recall that it concluded that a group should be formed
> to provide a focus and expert advice on I18n issues to the
> community.   It was described as a "directorate" because that
> term and organizational arrangement is familiar in the IETF,
> but it was quite clear (at least to many of us) that its
> mission was to advise, inform, and perhaps even educate the
> community on i18n issues, rather than merely advising the ART
> ADs and/or designating people to perform reviews late in the
> Last Call cycle.  Alexey (as the ART AD who is apparently
> taking lead responsibility for this work) has indicated that
> the "directorate" should be organized and announced very soon
> now.
> 
> 

> Because (if nothing else) the document follows up on RFC 6452,
> which was Standards Track, and because the directorate should
> have a chance to come together and review this document and its
> relationship to other pending work, the Last Call has now been
> cancelled (or, I hope more accurately, deferred).
> 
> However, people should be aware of that document, that there
> has been a discussion on the I18Nrp list that is certainly
> relevant to the IDNA list and effort, that includes details
> not covered by the summary above, and may be relevant to the
> other lists copied; that the directorate is expected to be
> announced soon; and that draft-faltstrom-unicode11 and other
> relevant I-Ds, including some expired ones, may soon
> [re-]appear and require review and evaluation.
> 
> At least until Patrik or the ADs suggest otherwise, the
> discussion of draft-faltstrom-unicode11 is on I18Nrp
> (subscription and archive information at
> https://www.ietf.org/mailman/listinfo/i18nrp )
> 
> Happy reading and reviewing.
> And apologies for not getting this note out when the discussion
> first started up.
> 
>     john
>     (no particular hats other than interested party although my
> hats as ex-EAI Co-Chair and author or contributor to a number
> of relevant RFCs and pending documents are around here
> somewhere)
> 
> _______________________________________________
> I18n-discuss mailing list
> [email-masked]
> https://www.iab.org/mailman/listinfo/i18n-discuss
> 

---------- End Forwarded Message ----------

Subject: Re: [Idna-update] [I18n-discuss] draft-faltstrom-unicode11, i18n "directorate", and related issues
From: Ted Hardie <[email-masked]>
To: John C Klensin <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 4 Dec 2018 13:04:20 -0800
List-Id: "Internationalized Domain Names in Applications \(IDNA\) implementation and update discussions" <idna-update.ietf.org>

John,

This is to advise you that I have notified the IESG that I strongly
disagree with this conclusion on the scope of an i18n directorate; I heard
calls for a directorate, not for a body with different characteristics
sharing the name.  I have also notified them that I object to the formation
of a body with a different remit to the usual "advise the ADs" unless a
community discussion, charter, and discussion of how membership is selected
takes place.

We charter directorates now as advisory bodies to the ADs, and the ADs bear
the responsibility for the related decisions (taking or not taking the
advice as they see fit).  Since the ADs are selected by the NomCom, how
they derive that authority and its limits are well known.  What you
describe below departs from that, and unless it is made clear what
authority is being granted and how the community is being consulted, I
think it is outside of our process.

Since this amounts to the early stage of an appeal, I have recused myself
from further discussion within the IESG on this topic.

On the more technical topic of the appropriate status (Standards Track or
Informational) for this document, I will follow up as you suggest.

Ted

On Tue, Dec 4, 2018 at 12:19 PM John C Klensin <[email-masked]> wrote:

>
> Those who attended or watched the IETF 102 BOF in July will
> probably recall that it concluded that a group should be formed
> to provide a focus and expert advice on I18n issues to the
> community.   It was described as a "directorate" because that
> term and organizational arrangement is familiar in the IETF, but
> it was quite clear (at least to many of us) that its mission was
> to advise, inform, and perhaps even educate the community on
> i18n issues, rather than merely advising the ART ADs and/or
> designating people to perform reviews late in the Last Call
> cycle.  Alexey (as the ART AD who is apparently taking lead
> responsibility for this work) has indicated that the
> "directorate" should be organized and announced very soon now.
>
>

> Because (if nothing else) the document follows up on RFC 6452,
> which was Standards Track, and because the directorate should
> have a chance to come together and review this document and its
> relationship to other pending work, the Last Call has now been
> cancelled (or, I hope more accurately, deferred).
>
> However, people should be aware of that document, that there has
> been a discussion on the I18Nrp list that is certainly relevant
> to the IDNA list and effort, that includes details not covered
> by the summary above, and may be relevant to the other lists
> copied; that the directorate is expected to be announced soon;
> and that draft-faltstrom-unicode11 and other relevant I-Ds,
> including some expired ones, may soon [re-]appear and require
> review and evaluation.
>
> At least until Patrik or the ADs suggest otherwise, the
> discussion of draft-faltstrom-unicode11 is on I18Nrp
> (subscription and archive information at
> https://www.ietf.org/mailman/listinfo/i18nrp )
>
> Happy reading and reviewing.
> And apologies for not getting this note out when the discussion
> first started up.
>
>     john
>     (no particular hats other than interested party although my
> hats as ex-EAI Co-Chair and author or contributor to a number of
> relevant RFCs and pending documents are around here somewhere)
>
> _______________________________________________
> I18n-discuss mailing list
> [email-masked]
> https://www.iab.org/mailman/listinfo/i18n-discuss
>
_______________________________________________
IDNA-UPDATE mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/idna-update

---

From: S Moonesamy <[email-masked]>
Date: Tue, 04 Dec 2018 19:30:39 -0800

Hi John,
>discussion is accidentally left out of the loop.

The proposal sounds like a cross between a working group and a 
directorate.  I gather that directorate is not an exact fit if it 
operates as a review team.  A directorate review cannot block a 
draft.  As Ted pointed out, it would be up to the Area Director to 
take the decision on whether to "block" a draft.

Regards,
S. Moonesamy

---

From: Andrew Sullivan <[email-masked]>
Date: Wed, 5 Dec 2018 10:50:25 -0500

On Tue, Dec 04, 2018 at 07:30:39PM -0800, S Moonesamy wrote:
> I gather that directorate is not an exact fit if it operates as a review
> team.  A directorate review cannot block a draft.  As Ted pointed out, it
> would be up to the Area Director to take the decision on whether to "block"
> a draft.

But of course, an AD could block a draft on the grounds that s/he
doesn't have enough information yet because s/he didn't have a
directorate yet that was sufficient to provide needed advice on
whether a document can proceed.  I don't see any reason why that would
be problematic, and I see lots of reasons why this process-lawyering
is.  People are trying to do the right thing, using the resources they
have, in a way to minimise thrash around this topic, and attempting to
make the process work one way or the other by insisting on
rule-following is, I submit, quite likely to make things worse.

A

-- 
Andrew Sullivan
[email-masked]

---

From: Asmus Freytag <[email-masked]>
Date: Wed, 5 Dec 2018 10:12:05 -0800

> rule-following is, I submit, quite likely to make things worse.
^ That

---

From: S Moonesamy <[email-masked]>
Date: Wed, 05 Dec 2018 13:52:47 -0800

Hi Andrew,
>rule-following is, I submit, quite likely to make things worse.

I used to run the administrative part of the Applications Area 
Directorate.  Some of the reviews performed were about what is 
considered as internationalization.  The experience which I gained 
from that is an understanding of the issues which John mentioned [1].

Regards,
S. Moonesamy

1. https://www.ietf.org/mail-archive/web/i18nrp/current/msg00142.html

---

From: John C Klensin <[email-masked]>
Date: Wed, 05 Dec 2018 17:02:23 -0500

--On Tuesday, December 4, 2018 19:30 -0800 S Moonesamy
<[email-masked]> wrote:

> directorate.

To a considerable extent, it is a cross between a working group,
a directorate, and a review team.   See my recent long note.

>  I gather that directorate is not an exact fit if
> it operates as a review team.  

But this is where we go into either a rathole or a procedural
swamp that wastes time and frustrates some of the relevant
experts into deciding to spend their time in other ways.
Certainly, if they wanted to, the ART ADs could propose setting
up three (in the extreme case) separate groups, a directorate to
advise them on i18n strategy, a review team to evaluate both
in-area and out-of-area (but primarily out-of-area) documents
with i18n topics or impacts, and a WG to generate new i18n work
and process documents.  They could then consider the fairly
small number of experts available (both by knowledge and ability
and willingness to commit) to populate such groups and do i18n
work and respond by (at least mostly) appointing the same people
to the first two groups and encourage them to join/participate
in the third.   If only because of a shortage of volunteers,
they might even appoint the same chairs/coordinators for all
three.  Then they could figure out a way to make it clear which
hat people were wearing when they said something and be prepared
for complaints (or even appeals) when it wasn't sufficiently
clear.

Seems to me like a huge opportunity to waste time, spend energy
on procedures that would be better spent on substantive work,
and drive experts away from participation and the IETF and that
it would have absolutely no advantages other than impressive
ritual correctness.   YMMD.

> A directorate review cannot block a draft.

Of course not.  Nor can a review team review or, by itself, a WG
decision to not proceed with a draft.   An AD could take input
from any of them and use it to block a draft or could proceed
anyway (in the WG case by changing WG leadership, spinning up a
separate WG, or handle the draft as an individual submission).
Do you see enough difference there to justify quibbling over
what this is called or creating new and elaborate procedures?  I
don't but, again, YMMD.

>  As Ted pointed out, it would be up to the Area
> Director to take the decision on whether to "block" a draft.

Exactly.   And that decision would be subject to pushback from
other ADs in the Area, the full IESG, and to potential appeals.
We have lots of protection against abuse against unreasonable
blocking behavior... by anyone or any group.

    john

---

From: Ted Hardie <[email-masked]>
Date: Wed, 5 Dec 2018 14:55:49 -0800

John,

> a directorate, and a review team.   See my recent long note.
There are critical differences in membership among these three.  In the
case of a working group, all IETF working groups are open to all comers.
Generally, review teams are closed but have their work evaluated by an open
group,  and they may be self-organized as well as assigned by chairs or
ADs.    Directorates serve at the pleasure of specific ADs.  The
accountability models in each of these is quite different as a result of
the different membership models.

If I understand correctly from conversations with them since yesterday, the
ADs are constituting a directorate and associating that membership model
and that accountability model with the effort.  That's clear, and I'm fine
with it.  Continuing to say it is a cross between or among other models
makes me concerned again, though, that there is some mis-communication
going on.

> ritual correctness.   YMMD.
While I generally like a good ritual (it's that background as an
anthropologist), I cannot agree that something that touches on the
accountability model is uselessly procedural. As I am sure you are aware,
some of the issues in this area have both large sums of money and
large-scale political implications at stake; being able to describe exactly
the scope of the power allotted to a group and from whom is one way of
avoiding expensive confusion later on.

> If we are clear that the model is that of a directorate and that the ADs
are the ones responsible, I agree.  In an open working group, the mode by
which one pushes back on a decision is very different, though, which is
part of why I continue to be concerned at descriptions that make this a
cross between or among models.

regards,

Ted

---

From: S Moonesamy <[email-masked]>
Date: Wed, 05 Dec 2018 15:58:23 -0800

Hi John,
>a directorate, and a review team.   See my recent long note.

Ok.

>ritual correctness.   YMMD.

It is likely that there are non-technical considerations at play in 
all in "internationalization".  It is not worth the effort to attempt 
to explain that to the IESG.  The non-trivial part of this effort is 
to create the conditions for it to be sustainable.  All it takes is 
one issue to cause an unwillingness to commit.

>what this is called or creating new and elaborate procedures?  I

Instead of looking at this in terms of working group versus 
directorate, I would ask about the objective(s) being sought and then 
try to fit them into existing processes.  There would probably have 
to be some informal talks along the way to encourage universal acceptance.

Regards,
S. Moonesamy

---

From: John C Klensin <[email-masked]>
Date: Thu, 06 Dec 2018 03:23:36 -0500

Ted,

I'm not sure whether we disagree or not.   So let me try a
shorter comment that gets to the bottom line.

(1) This <whatever> is going to be required to advise the ART
ADs and, at their option, the IESG and/or the broader community,
on i18n strategic questions.  There is no requirement on anyone
to take their advice and the membership is presumably recruited,
appointed, and serves at the pleasure of the ART ADs.

(2) This <whatever> is, as Marc pointed out about PRECIS, going
to get requests for help with profiles and the like.  Some of
those requests may come from outside the ART Area.  Again, there
is no requirement on anyone to take the advice that results
although I would certainly hope that the community and the IESG
would look on departures from it (or a deliberate effort to
avoid asking) with some skepticism.   That is similar to, but at
least initially with far less nominal authority than or various
Doctor teams. For example, I'm not anticipating an
entry/question in Shepherd templates although that would clearly
be up to the IESG.

(3) I am imagine interactions between the <whatever> or its
members and the EDU team about needed and useful training
activities and how to staff them.  Such questions would
presumably be under the supervision of the ART ADs in addition
to the overall supervision of the EDU team by the IESG.   I
don't see anything different or problematic there and, again, no
one would be obligated to take the <whatever>'s advice.

(4) At their discretion, the ART ADs could cut the <whatever>
out of the loop entirely on a particular document.   I'd expect
at least some of the members of that group to respond badly,
either resigning, complaining loudly that the ART ADs were
deliberately excluding input and then providing that input as
individuals during IETF Last Call, or both, but I don't imagine
the existence of the <whatever) would create, e.g., any appeal
rights that do not exist today.

(5) Strategic advice that the <whatever> might offer the ART
ADs, or at their discretion, publicly to the community, might be
similar to (whether consistent or not) advice that might
ordinarily, at at its discretion, come from the IAB.  That is,
AFAICT, no different from other directorates (or for that
matter, individuals) offering strategic advice -- insofar as the
IAB advice should get priority over that of others, it should be
because of the quality of thinking and explanation it reflects,
not because it comes _From The IAB_ or the pixie dust that is
sprinkled over it every March.   More generally, not only are
the ART ADs (or the IESG more broadly) not required to
prioritize advice from the <whatever> over advice from the IAB
(or vice versa), they are not required to accept either and
neither the <whatever> nor the IAB have any specific rights in
that matter.

Now, if we had a huge supply of expertise, I could see some very
strong arguments, starting with just sharing the load, for
trying to parse those functions into separate bodies/ teams.
But we don't have such a supply -- if we did and things were
working well in traditional ways, there never would have been a
BOF, the non-decomposing character issue would have been
addressed a couple of years ago rather than being turned into an
IAB statement that arguably added to the confusion,
draft-faltstrom-unicode11 would not be trying to address four
versions of Unicode at once, and so on.  So, do you have a
suggestion -- preferably one that has not already been tried and
been abandoned and does not involve Command Action or
Proclamation -- for solving the problem of being unable to
progress i18n documents, especially those that are intrinsically
interrelated whether they say so or not?

     john

--On Wednesday, December 5, 2018 14:55 -0800 Ted Hardie
<[email-masked]> wrote:

>> >> IDNA-update, EAI, PRECIS, and IAB i18n-discuss lists to
>> >> lower the odds that someone who should be participating in
>> >> the discussion is accidentally left out of the loop.
>> > 
>> > The proposal sounds like a cross between a working group
>> > and a directorate.
>> 
>> To a considerable extent, it is a cross between a working
>> group, a directorate, and a review team.   See my recent long
>> note.
>> 
>> 
> There are critical differences in membership among these
> three.  In the case of a working group, all IETF working
> groups are open to all comers. Generally, review teams are
> closed but have their work evaluated by an open group,  and
> they may be self-organized as well as assigned by chairs or
> ADs.    Directorates serve at the pleasure of specific ADs.
> The accountability models in each of these is quite different
> as a result of the different membership models.
> 
> If I understand correctly from conversations with them since
> yesterday, the ADs are constituting a directorate and
> associating that membership model and that accountability
> model with the effort.  That's clear, and I'm fine with it.
> Continuing to say it is a cross between or among other models
> makes me concerned again, though, that there is some
> mis-communication going on.
> 
> 
> 
>> Certainly, if they wanted to, the ART ADs could propose
>> setting up three (in the extreme case) separate groups, a
>> directorate to advise them on i18n strategy, a review team to
>> evaluate both in-area and out-of-area (but primarily
>> out-of-area) documents with i18n topics or impacts, and a WG
>> to generate new i18n work and process documents.  They could
>> then consider the fairly small number of experts available
>> (both by knowledge and ability and willingness to commit) to
>> populate such groups and do i18n work and respond by (at
>> least mostly) appointing the same people to the first two
>> groups and encourage them to join/participate in the third.
>> If only because of a shortage of volunteers, they might even
>> appoint the same chairs/coordinators for all three.  Then
>> they could figure out a way to make it clear which hat people
>> were wearing when they said something and be prepared for
>> complaints (or even appeals) when it wasn't sufficiently
>> clear.
>> 
>> Seems to me like a huge opportunity to waste time, spend
>> energy on procedures that would be better spent on
>> substantive work, and drive experts away from participation
>> and the IETF and that it would have absolutely no advantages
>> other than impressive ritual correctness.   YMMD.
>> 
>> 
> While I generally like a good ritual (it's that background as
> an anthropologist), I cannot agree that something that touches
> on the accountability model is uselessly procedural. As I am
> sure you are aware, some of the issues in this area have both
> large sums of money and large-scale political implications at
> stake; being able to describe exactly the scope of the power
> allotted to a group and from whom is one way of avoiding
> expensive confusion later on.
> 
>> Of course not.  Nor can a review team review or, by itself, a
>> WG decision to not proceed with a draft.   An AD could take
>> input from any of them and use it to block a draft or could
>> proceed anyway (in the WG case by changing WG leadership,
>> spinning up a separate WG, or handle the draft as an
>> individual submission). Do you see enough difference there to
>> justify quibbling over what this is called or creating new
>> and elaborate procedures?  I don't but, again, YMMD.
>> 
>> other ADs in the Area, the full IESG, and to potential
>> appeals. We have lots of protection against abuse against
>> unreasonable blocking behavior... by anyone or any group.
>> 
> are the ones responsible, I agree.  In an open working group,
> the mode by which one pushes back on a decision is very
> different, though, which is part of why I continue to be
> concerned at descriptions that make this a cross between or
> among models.
> 
> regards,
> 
> Ted
> 
> 
> 
> 
>>     john
>> 
>>

---

From: Asmus Freytag <[email-masked]>
Date: Thu, 6 Dec 2018 09:53:45 -0800

What John writes below seems to be a workable model.

In practical terms, associate the <whatever> with a single mailing list
where all advice is posted (and all requests for input can be made)
and you have the transparency and educational benefits that is so
relevant in an issue like i18n. (I18n is always a bit special because
it runs across other specifications while rarely being central - IDNA
being an obvious exception).

In my experience, with i18n, there is often a very definite "doing
it this way will not work for these cases" type of review result as
opposed to a "this is the one way to do it". In other words, there
is a definite interplay with whoever is writing a specification.

A./

---

From: Ted Hardie <[email-masked]>
Date: Thu, 6 Dec 2018 13:38:01 -0800

Howdy,

> shorter comment that gets to the bottom line.
As I said before, the ADs have described this as a directorate and have
said that this will use that accountability model.  I think that's clear,
and I'm fine with it.  Presuming that this is a general understanding, I
see no reason for objecting and I do not plan to appeal.

Two smaller points below.

> I believe that the EDU team is also formally a directorate, under GEN:

https://datatracker.ietf.org/group/emodir/about/

> interrelated whether they say so or not?
I have two pieces of advice, neither of which is  a suggestion for a
different way forward.

The first is that a task not on this list (but which was on the longer list
you posted earlier) is among the most important in my opinion: develop new
expertise within the IETF, either by attraction or education.  If that is a
task given to this directorate, then I earnestly hope that it is close to
the top priority.   It's not a trivial task, and I sadly have no great
strategies to offer, but without it the long term prospect of effective
work by the IETF in this area is dim.

The second is that this list of tasks, even before that addition, is very
long for the pool of folks we have at hand.  Clear prioritization by the
ADs to the directorate would be very useful.  Without it, I suspect the
pace of requests for review will create a drum-beat to which the
directorate will march; that often happens to ADs with the bi-weekly
telechat, and it tends to happen by default to the groups on which they
rely.

As I said, not a suggestion for a different way; simply my observations on
this way.

regards,

Ted
(As an individual)

     john